PPP(4)

NAME
ppp - point to point protocol network interface

SYNOPSIS
pseudo-device ppp [count]

DESCRIPTION
The ppp interface allows serial lines to be used as network interfaces using the point-to-point protocol. The ppp interface can use various types of compression and has many features over the slip(4) protocol.

DIAGNOSTICS

ppp%d: af%d not supported. The interface was handed a message with addresses formatted in an unsuitable address family; the packet was dropped.

SEE ALSO
intro(4), inet(4), pppd(8), pppstats(8)

BUGS
Currently, only the ip(4) protocol is supported.

HISTORY
The ppp device appeared in NetBSD 1.0.